#include ".\customdata.h"

Aspect CustomData::PING_TOTAL_CHANGED;

CustomData::CustomData(void)
{
    numPings = 0;
}

CustomData::~CustomData(void)
{
}

void CustomData::IncrementPings()
{
    ++numPings;

    Publish( this, PING_TOTAL_CHANGED );
}

int CustomData::GetNumberOfPings()
{
    return numPings;
}