#pragma once

#include "Subject.h"
#include "Aspect.h"

class CustomData :
    public Subject
{
public:
    // Registerable messages
    static Aspect PING_TOTAL_CHANGED;

public:
    CustomData(void);
    virtual ~CustomData(void);

    void IncrementPings();
    int GetNumberOfPings();

private:
    int numPings;
};
